package com.zhyc.module.biosafety.service.impl;

import java.util.List;

import com.zhyc.module.biosafety.domain.SwDisease;
import com.zhyc.module.biosafety.mapper.SwDiseaseMapper;
import com.zhyc.module.biosafety.service.ISwDiseaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 疾病Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-09
 */
@Service
public class SwDiseaseServiceImpl implements ISwDiseaseService
{
    @Autowired
    private SwDiseaseMapper swDiseaseMapper;

    /**
     * 查询疾病
     * 
     * @param id 疾病主键
     * @return 疾病
     */
    @Override
    public SwDisease selectSwDiseaseById(Long id)
    {
        return swDiseaseMapper.selectSwDiseaseById(id);
    }

    /**
     * 查询疾病列表
     * 
     * @param swDisease 疾病
     * @return 疾病
     */
    @Override
    public List<SwDisease> selectSwDiseaseList(SwDisease swDisease)
    {
        return swDiseaseMapper.selectSwDiseaseList(swDisease);
    }

    /**
     * 新增疾病
     * 
     * @param swDisease 疾病
     * @return 结果
     */
    @Override
    public int insertSwDisease(SwDisease swDisease)
    {
        return swDiseaseMapper.insertSwDisease(swDisease);
    }

    /**
     * 修改疾病
     * 
     * @param swDisease 疾病
     * @return 结果
     */
    @Override
    public int updateSwDisease(SwDisease swDisease)
    {
        return swDiseaseMapper.updateSwDisease(swDisease);
    }

    /**
     * 批量删除疾病
     * 
     * @param ids 需要删除的疾病主键
     * @return 结果
     */
    @Override
    public int deleteSwDiseaseByIds(Long[] ids)
    {
        return swDiseaseMapper.deleteSwDiseaseByIds(ids);
    }

    /**
     * 删除疾病信息
     * 
     * @param id 疾病主键
     * @return 结果
     */
    @Override
    public int deleteSwDiseaseById(Long id)
    {
        return swDiseaseMapper.deleteSwDiseaseById(id);
    }
}
